#!/usr/bin/ruby

# This is a hack.
# This app is a template for many apps, and each apps' generated R class will end up in its app package.
# 
# So, we import these city packages into the main project, which allows us to find the R class at compile time in 
# the individual apps.  But the packages have to exist at compile time, so we generate them with this script.  Ugh.


cities = [
  "Albany",
  "Albuquerque",
  "Anchorage",
  "Atlanta",
  "Austin",
  "Baltimore",
  "Birmingham",
  "Boise",
  "Boston",
  "Buffalo",
  "Burlington",
  "Charleston",
  "Charlotte",
  "Chicago",
  "Cincinnati",
  "Cleveland",
  "Colorado",
  "Columbus",
  "Dallas",
  "Denver",
  "DesMoines",
  "Detroit",
  "Fresno",
  "GrandRapids",
  "GreenBay",
  "Greensboro",
  "Greenville",
  "Harrisburg",
  "Hartford",
  "Honolulu",
  "Houston",
  "Indianapolis",
  "Jacksonville",
  "KansasCity",
  "Knoxville",
  "LasVegas",
  "LittleRock",
  "LosAngeles",
  "Louisville",
  "Madison",
  "Memphis",
  "Miami",
  "Milwaukee",
  "Minneapolis",
  "Nashville",
  "NewOrleans",
  "NewYork",
  "Norfolk",
  "Oklahoma",
  "Omaha",
  "Orlando",
  "PalmBeach",
  "Philadelphia",
  "Phoenix",
  "Pittsburgh",
  "Portland",
  "Providence",
  "Raleigh",
  "Richmond",
  "Sacramento",
  "SaltLakeCity",
  "SanAntonio",
  "SanDiego",
  "SanFrancisco",
  "SantaFe",
  "Seattle",
  "Spokane",
  "StLouis",
  "TampaBay",
  "Tucson",
  "Tulsa",
  "WashingtonDC"  
  ];
  
  
  cities.each do |city|
    lowerCity = city.downcase;
    
    File.open("#{city}.java", "w") do |f|
      f.write("package com.martian.cities.android.#{lowerCity};\n\npublic class #{city}{ }");
      puts "import com.martian.cities.android.#{lowerCity}.*;"
    end
  end